<div class="myclass">
    <mat-form-field class="filter">
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder= "Search">
        <mat-label align="end" class="material-icons">
          search
          </mat-label>
          
      </mat-form-field>


  <table mat-table  matSort [dataSource]="dataSource" class="mat-elevation-z8">
        
    Position Column
    <ng-container matColumnDef="position" sticky >
      <th mat-header-cell *matHeaderCellDef mat-sort-header> No. </th>
      <td mat-cell *matCellDef="let element"> {{element.position}} </td>
    </ng-container>
  
    
    Name Column 
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
          <td mat-cell *matCellDef="let element"> {{element.name}} </td>
        </ng-container>
      
       Weight Column 
        <ng-container matColumnDef="weight">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Weight </th>
          <td mat-cell *matCellDef="let element"> {{element.weight}} </td>
        </ng-container>
      
         Symbol Column 
        <ng-container matColumnDef="symbol">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Symbol </th>
          <td mat-cell *matCellDef="let element"> {{element.symbol}} </td>
        </ng-container>
      
        <tr mat-header-row *matHeaderRowDef="displayedColumns sticky: true"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        
      </table>
      <mat-paginator [pageSizeOptions]= "[5, 10, 20]"  showFirstLastButtons id="page"></mat-paginator>
</div>

<!---<h2>Element List</h2>

    <ul *ngFor="let element of elements">
      <li>{{element.name}}</li>

    </ul>-->
